ss_t_t_nの日記

開発の備忘録など

targetSdkVersion28が必須へ

先年に実施された、AndroidのtargetSdkVersion26以上必須化ですが、
次はいつなんだ・・とそわそわしていたら、Android Developers Blogに記事が上がりました。

android-developers.googleblog.com


新規アプリは2019/08から、更新アプリは2019/11からみたいですね。

毎年この月って感じになるのかなー。

しかし去年、今年と続けてこの対応が大変だった・・・。
targetSdkVersionを10から26に!?できらぁ!・・え?FCMへの移行も同時に?・・・

率直に言って胃に穴があきそうでした。
こういうのはちゃんと計画してきちんと追随していきましょうねって教訓ですね。

まぁ僕がコントロールできる範囲ではないのですが。言っていくことは出来る。